import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *

from pygame.locals import *

class blockingsprite(pygame.sprite.Sprite):
    def __init__(self, x, y, tagname, imagefile, attributes):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        self.image, self.rect = load_image(imagefile, -1)
        self.move(x, y)
        self.attributes = attributes
        self.tagname = tagname
        self.deleted = False

    def move(self, x, y):
        self.rect.left = x
        self.rect.top = y

    def scroll(self, x, y):
        self.move(self.rect.left+x, self.rect.top+y)

    def util(self, player):
        if (self.tagname == 'stump' and player.item == ITM_AXE):
            self.deleted = True
