import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *

from pygame.locals import *

class bug(pygame.sprite.Sprite):
    def __init__(self, x, y):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        self.image = pygame.Surface((2, 2))
        self.rect = pygame.Rect(0,0,2,2)
        self.enemyclass = 'bug'
        self.move(x, y)
        self.damaged = False
        self.damagedvelx = 0
        self.damagedvely = 0
        self.damagedtimer = 0
        self.deleted = False

    def dodamage(self, weapon):
        k = 0

    def move(self, x, y):
        self.rect.left = x
        self.rect.top = y

    def scroll(self, x, y):
        self.move(self.rect.left+x, self.rect.top+y)
    
    def hitplayer(self, player):
        if (not(self.damaged)):
            self.damaged = True
            angle = atan2((self.rect.centery-player.rect.centery),(self.rect.centerx-player.rect.centerx))
            self.damagedvelx = int(5*cos(angle))
            self.damagedvely = int(5*sin(angle))
            self.damagedtimer = 0 

    def catchbug(self, player):
        if (player.item == ITM_NET):
            self.deleted = True

    def update(self, player, blockingobjects, scrolloffsetx, scrolloffsety):
        if (self.damaged):
            self.rect.left = self.rect.left + self.damagedvelx
            self.rect.top = self.rect.top + self.damagedvely
            self.move(self.rect.left, self.rect.top)
            self.damagedtimer += 1
            if (self.damagedtimer > 10):
                self.damaged = False
        self.move(self.rect.left+(randint(0,2)-1), self.rect.top+(randint(0,2)-1))
