import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *

from pygame.locals import *

class explosion(pygame.sprite.Sprite):
    def __init__(self, x, y):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        self.image1, self.rect = load_image("explode1.png", -1)
        self.image2, foo = load_image("explode2.png", -1)
        self.image3, foo = load_image("explode3.png", -1)
        self.image4, foo = load_image("explode4.png", -1)
        self.image = self.image1
        self.move(x-8, y-8)
        self.framecounter = 0
        self.deleted = False

    def move(self, x, y):
        self.rect.left = x
        self.rect.top = y

    def scroll(self, x, y):
        self.move(self.rect.left+x, self.rect.top+y)

    def update(self):
        self.framecounter += 1
        if (self.framecounter < 5):
            self.image = self.image1
        elif (self.framecounter < 10):
            self.image = self.image2
        elif (self.framecounter < 15):
            self.image = self.image3
        elif (self.framecounter < 20):
            self.image = self.image4
        else:
            self.deleted = True
