import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *

from pygame.locals import *

class heart(pygame.sprite.Sprite):
    def __init__(self, x, y, frame, framenum = 0):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        if (frame):
            self.image, self.rect = load_image("item/heartcontainer.png", -1)
        else:
            self.image, self.rect = load_image("item/heartfind.png", -1)
        self.frame = frame
        self.framenum = framenum
        self.deleted = False
        self.move(x,y)

    def move(self, x, y):
        self.rect.left = x
        self.rect.top = y

    def scroll(self, x, y):
        self.move(self.rect.left+x, self.rect.top+y)

    def get(self, playerobj):
        if (self.frame):
            playerobj.maxhealth += 1
            if (playerobj.maxhealth > 10):
                playerobj.maxhealth == 10
            playerobj.heartframes.append(self.framenum)
        else:
            playerobj.health += 1
            if (playerobj.maxhealth < playerobj.health):
                playerobj.health = playerobj.maxhealth
        playerobj.menudirty = True
        self.deleted = True
