import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *

from pygame.locals import *

class invitem(pygame.sprite.Sprite):
    def __init__(self, x, y, itemtype, itemimage):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        if (itemtype == 'ladder'):
            self.image, self.rect = load_image(itemimage)
            self.image.set_colorkey((255, 0, 0))
        else:
            self.image, self.rect = load_image(itemimage, -1)
        self.itemtype = itemtype
        self.deleted = False
        self.move(x,y)

    def move(self, x, y):
        self.rect.left = x
        self.rect.top = y

    def scroll(self, x, y):
        self.move(self.rect.left+x, self.rect.top+y)

    def get(self, playerobj):
        if (not(playerobj.inv.count(self.itemtype))):
            playerobj.inv.append(self.itemtype)
        self.deleted = True
