import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *
from menu import *

from pygame.locals import *

class mastercane(pygame.sprite.Sprite):
    def __init__(self, x, y):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        self.deleted = False
        self.font = pygame.font.Font("./fonts/freesansbold.ttf", 20)
        self.image, self.rect = load_image("mastercane.png", -1)
        self.x = x
        self.y = y
        self.move()

    def hitplayer(self, player, menu):
        layout = menulayout()
        if (player.maxhealth >= 8):
            menuline1 = menuline()
            menuline1.addtext("You have grown much, old warrior.", self.font, (0, 0, 0), True, 0)
            layout.addline(menuline1)
            menuline1 = menuline()
            menuline1.addtext("Master using it, and you can have this..", self.font, (0, 0, 0), True, 0)
            layout.addline(menuline1)
            menu.setlayout(layout)  
            menu.render()
            self.deleted = True
            player.mastercane = True
            player.menudirty = True
        else:
            menuline1 = menuline()
            menuline1.addtext("You may be old, but you are still inexperienced.", self.font, (0, 0, 0), True, 0)
            layout.addline(menuline1)
            menuline1 = menuline()
            menuline1.addtext("Only the truly worthy may wield this cane.", self.font, (0, 0, 0), True, 0)
            layout.addline(menuline1)
            menu.setlayout(layout)  
            menu.render()
            

    def move(self):
        self.rect.left = self.x
        self.rect.top = self.y

    def scroll(self, x, y):
        self.x += x
        self.y += y
        self.move()

