import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *

from pygame.locals import *

class shopitem(pygame.sprite.Sprite):
    def __init__(self, x, y, itemtype, itemimage, cost, font):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        self.itemimage, self.rect = load_image(itemimage, -1)
        self.image = pygame.Surface((32, 32))
        fontsurf = font.render("$" + str(cost), False, (255,255,255)) 
        fontsurf.set_colorkey((0, 0, 0), RLEACCEL)
        self.image.blit(self.itemimage, (0,0))
        self.image.blit(fontsurf, (0,self.itemimage.get_height()))
        self.itemtype = itemtype
        self.deleted = False
        self.cost = float(cost)
        self.move(x,y)

    def move(self, x, y):
        self.rect.left = x
        self.rect.top = y

    def scroll(self, x, y):
        self.move(self.rect.left+x, self.rect.top+y)

    def get(self, playerobj):
        if (playerobj.golds >= self.cost):
            if (self.itemtype == 'heart'):
                if (playerobj.maxhealth == playerobj.health):
                    return False
                playerobj.health += 1
                if (playerobj.maxhealth < playerobj.health):
                    playerobj.health = playerobj.maxhealth
            elif (playerobj.inv.count(self.itemtype)):
                return False
            else:
                playerobj.inv.append(self.itemtype)
            playerobj.menudirty = True
            playerobj.golds -= self.cost
            self.deleted = True
            
