import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *

from pygame.locals import *

class ladder(pygame.sprite.Sprite):
    def __init__(self, x, y):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        self.image, self.rect = load_image("ladder.png")
        self.rect = pygame.Rect((0,0,20,20))
        self.image.set_colorkey((255, 0, 0))
        self.move(x, y)
        self.deleted = False
        self.active = True

    def move(self, x, y):
        self.rect.left = x+2
        self.rect.top = y+2

    def scroll(self, x, y):
        self.move(self.rect.left+x, self.rect.top+y)

    def check(self, player):
        if (not(player.rect.colliderect(self.rect))):
            self.deleted = True
