import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *
import copy

from pygame.locals import *

WEP_CANE = 1


class player(pygame.sprite.Sprite):
    def __init__(self, x, y, sounds):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        self.sounds = sounds
        self.normalimager, self.rect = load_image("char/walk2.png", -1)
        self.forwardimager, temp = load_image("char/walk1.png", -1)
        self.backimager, temp = load_image("char/walk3.png", -1)
        self.normalcaneimage, temp = load_image("item/itemselectcane.png", -1)
        self.mastercaneimage, temp = load_image("item/itemselectmcane.png", -1)
        self.cane1r, temp = load_image("char/cane2.png", -1)
        self.cane2r, temp = load_image("char/cane3.png", -1)
        self.cane3r, temp = load_image("char/cane2.png", -1)
        self.shovel1r, temp = load_image("char/shovel1.png", -1)
        self.shovel2r, temp = load_image("char/shovel2.png", -1)
        self.shovel3r, temp = load_image("char/shovel3.png", -1)
        self.shovel4r, temp = load_image("char/shovel4.png", -1)
        self.net1r, temp = load_image("char/net1.png", -1)
        self.net2r, temp = load_image("char/net2.png", -1)
        self.net3r, temp = load_image("char/net3.png", -1)
        self.net4r, temp = load_image("char/net4.png", -1)
        self.hoe1r, temp = load_image("char/hoe1.png", -1)
        self.hoe2r, temp = load_image("char/hoe2.png", -1)
        self.hoe3r, temp = load_image("char/hoe3.png", -1)
        self.hoe4r, temp = load_image("char/hoe4.png", -1)
        self.push1r, temp = load_image("char/push1.png", -1)
        self.push2r, temp = load_image("char/push2.png", -1)
        self.push3r, temp = load_image("char/push3.png", -1)
        self.axe1r, temp = load_image("char/axe1.png", -1)
        self.axe2r, temp = load_image("char/axe2.png", -1)
        self.axe3r, temp = load_image("char/axe3.png", -1)

        self.normalimageu = pygame.transform.rotate(self.normalimager, 90)
        self.forwardimageu = pygame.transform.rotate(self.forwardimager, 90)
        self.backimageu = pygame.transform.rotate(self.backimager, 90)
        self.cane1u = pygame.transform.rotate(self.cane1r, 90)
        self.cane2u = pygame.transform.rotate(self.cane2r, 90)
        self.cane3u = pygame.transform.rotate(self.cane3r, 90)
        self.shovel1u = pygame.transform.rotate(self.shovel1r, 90)
        self.shovel2u = pygame.transform.rotate(self.shovel2r, 90)
        self.shovel3u = pygame.transform.rotate(self.shovel3r, 90)
        self.shovel4u = pygame.transform.rotate(self.shovel4r, 90)
        self.net1u = pygame.transform.rotate(self.net1r, 90)
        self.net2u = pygame.transform.rotate(self.net2r, 90)
        self.net3u = pygame.transform.rotate(self.net3r, 90)
        self.net4u = pygame.transform.rotate(self.net4r, 90)
        self.hoe1u = pygame.transform.rotate(self.hoe1r, 90)
        self.hoe2u = pygame.transform.rotate(self.hoe2r, 90)
        self.hoe3u = pygame.transform.rotate(self.hoe3r, 90)
        self.hoe4u = pygame.transform.rotate(self.hoe4r, 90)
        self.push1u = pygame.transform.rotate(self.push1r, 90)
        self.push2u = pygame.transform.rotate(self.push2r, 90)
        self.push3u = pygame.transform.rotate(self.push3r, 90)
        self.axe1u = pygame.transform.rotate(self.axe1r, 90)
        self.axe2u = pygame.transform.rotate(self.axe2r, 90)
        self.axe3u = pygame.transform.rotate(self.axe3r, 90)

        self.normalimagel = pygame.transform.rotate(self.normalimager, 180)
        self.forwardimagel = pygame.transform.rotate(self.forwardimager, 180)
        self.backimagel = pygame.transform.rotate(self.backimager, 180)
        self.cane1l = pygame.transform.rotate(self.cane1r, 180)
        self.cane2l = pygame.transform.rotate(self.cane2r, 180)
        self.cane3l = pygame.transform.rotate(self.cane3r, 180)
        self.shovel1l = pygame.transform.rotate(self.shovel1r, 180)
        self.shovel2l = pygame.transform.rotate(self.shovel2r, 180)
        self.shovel3l = pygame.transform.rotate(self.shovel3r, 180)
        self.shovel4l = pygame.transform.rotate(self.shovel4r, 180)
        self.net1l = pygame.transform.rotate(self.net1r, 180)
        self.net2l = pygame.transform.rotate(self.net2r, 180)
        self.net3l = pygame.transform.rotate(self.net3r, 180)
        self.net4l = pygame.transform.rotate(self.net4r, 180)
        self.hoe1l = pygame.transform.rotate(self.hoe1r, 180)
        self.hoe2l = pygame.transform.rotate(self.hoe2r, 180)
        self.hoe3l = pygame.transform.rotate(self.hoe3r, 180)
        self.hoe4l = pygame.transform.rotate(self.hoe4r, 180)
        self.push1l = pygame.transform.rotate(self.push1r, 180)
        self.push2l = pygame.transform.rotate(self.push2r, 180)
        self.push3l = pygame.transform.rotate(self.push3r, 180)
        self.axe1l = pygame.transform.rotate(self.axe1r, 180)
        self.axe2l = pygame.transform.rotate(self.axe2r, 180)
        self.axe3l = pygame.transform.rotate(self.axe3r, 180)

        self.normalimaged = pygame.transform.rotate(self.normalimager, 270)
        self.forwardimaged = pygame.transform.rotate(self.forwardimager, 270)
        self.backimaged = pygame.transform.rotate(self.backimager, 270)
        self.cane1d = pygame.transform.rotate(self.cane1r, 270)
        self.cane2d = pygame.transform.rotate(self.cane2r, 270)
        self.cane3d = pygame.transform.rotate(self.cane3r, 270)
        self.shovel1d = pygame.transform.rotate(self.shovel1r, 270)
        self.shovel2d = pygame.transform.rotate(self.shovel2r, 270)
        self.shovel3d = pygame.transform.rotate(self.shovel3r, 270)
        self.shovel4d = pygame.transform.rotate(self.shovel4r, 270)
        self.net1d = pygame.transform.rotate(self.net1r, 270)
        self.net2d = pygame.transform.rotate(self.net2r, 270)
        self.net3d = pygame.transform.rotate(self.net3r, 270)
        self.net4d = pygame.transform.rotate(self.net4r, 270)
        self.hoe1d = pygame.transform.rotate(self.hoe1r, 270)
        self.hoe2d = pygame.transform.rotate(self.hoe2r, 270)
        self.hoe3d = pygame.transform.rotate(self.hoe3r, 270)
        self.hoe4d = pygame.transform.rotate(self.hoe4r, 270)
        self.push1d = pygame.transform.rotate(self.push1r, 270)
        self.push2d = pygame.transform.rotate(self.push2r, 270)
        self.push3d = pygame.transform.rotate(self.push3r, 270)
        self.axe1d = pygame.transform.rotate(self.axe1r, 270)
        self.axe2d = pygame.transform.rotate(self.axe2r, 270)
        self.axe3d = pygame.transform.rotate(self.axe3r, 270)

        self.intro = True
        self.secretitems = []
        self.inv = []
        self.itemindex = 0
        self.heartframes = []
        self.health = 3
        self.maxhealth = 3
        self.clockframes = 0
        self.image = self.normalimager
        self.hitrect = pygame.Rect(2,2,12,12)
        self.pushing = False
        self.movingup = False
        self.movingdown = False
        self.movingleft = False
        self.movingright = False
        self.animationframe = 0
        self.animationtimer = 0
        self.attacking = False
        self.attackingtimer = 0
        self.attackingframe = 0
        self.attackbox = None
        self.utility = False
        self.damaged = False
        self.damagedvelx = 0
        self.damagedvely = 0
        self.damagedtimer = 0
        self.golds = 0.00
        self.facing = FACING_RIGHT
        self.weapon = WEP_CANE
        self.item = False
        self.move(x, y)
        self.speed = 2
        self.maxspeed = 0
        self.menudirty = True
        self.mastercane = False

    def nextitem(self):
        if (len(self.inv)):
            self.itemindex += 1
            if (self.itemindex >= len(self.inv)):
                self.itemindex = 0
            self.item = self.inv[self.itemindex]
            if (self.item != ITM_LADDER):
                self.itemimage, foo = load_image(IMAGE_FILES[self.item], -1)
            else:
                self.itemimage, foo = load_image(IMAGE_FILES[self.item])
                self.itemimage.set_colorkey((255,0,0))
            self.menudirty = True

    def move(self, x, y):
        self.rect.left = x
        self.rect.top = y
        self.hitrect.left = x+2
        self.hitrect.top = y+2

    def animate(self):
        self.animationtimer += 1
        if (self.animationtimer > 5):
            self.animationtimer = 0
            self.animationframe += 1
            if (self.animationframe == 4):
                self.animationframe = 0
            self.chooseframe()

    def chooseframe(self):
        if (not(self.attacking) and not(self.utility)):
          if (self.pushing):
              if (self.animationframe == 0 or self.animationframe == 2):
                  if (self.facing == FACING_UP):
                      self.image = self.push2u
                  elif (self.facing == FACING_DOWN):
                      self.image = self.push2d
                  elif (self.facing == FACING_LEFT):
                      self.image = self.push2l
                  elif (self.facing == FACING_RIGHT):
                      self.image = self.push2r
              elif (self.animationframe == 1):
                  if (self.facing == FACING_UP):
                      self.image = self.push3u
                  elif (self.facing == FACING_DOWN):
                      self.image = self.push3d
                  elif (self.facing == FACING_LEFT):
                      self.image = self.push3l
                  elif (self.facing == FACING_RIGHT):
                      self.image = self.push3r
              elif (self.animationframe == 3):
                  if (self.facing == FACING_UP):
                      self.image = self.push1u
                  elif (self.facing == FACING_DOWN):
                      self.image = self.push1d
                  elif (self.facing == FACING_LEFT):
                      self.image = self.push1l
                  elif (self.facing == FACING_RIGHT):
                      self.image = self.push1r
          else:
              if (self.animationframe == 0 or self.animationframe == 2):
                  if (self.facing == FACING_UP):
                      self.image = self.normalimageu
                  elif (self.facing == FACING_DOWN):
                      self.image = self.normalimaged
                  elif (self.facing == FACING_LEFT):
                      self.image = self.normalimagel
                  elif (self.facing == FACING_RIGHT):
                      self.image = self.normalimager
              elif (self.animationframe == 1):
                  if (self.facing == FACING_UP):
                      self.image = self.forwardimageu
                  elif (self.facing == FACING_DOWN):
                      self.image = self.forwardimaged
                  elif (self.facing == FACING_LEFT):
                      self.image = self.forwardimagel
                  elif (self.facing == FACING_RIGHT):
                      self.image = self.forwardimager
              elif (self.animationframe == 3):
                  if (self.facing == FACING_UP):
                      self.image = self.backimageu
                  elif (self.facing == FACING_DOWN):
                      self.image = self.backimaged
                  elif (self.facing == FACING_LEFT):
                      self.image = self.backimagel
                  elif (self.facing == FACING_RIGHT):
                      self.image = self.backimager
        elif (self.attacking):
            if (self.weapon == WEP_CANE):
                if (self.attackingframe == 0):
                    if (self.facing == FACING_UP):
                        self.image = self.cane1u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.cane1d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.cane1l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.cane1r
                elif (self.attackingframe == 1):
                    if (self.facing == FACING_UP):
                        self.image = self.cane2u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.cane2d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.cane2l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.cane2r
                elif (self.attackingframe == 2):
                    if (self.facing == FACING_UP):
                        self.image = self.cane3u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.cane3d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.cane3l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.cane3r
        else:
            if (self.item == ITM_SHOVEL):
                if (self.attackingframe == 0):
                    if (self.facing == FACING_UP):
                        self.image = self.shovel1u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.shovel1d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.shovel1l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.shovel1r
                elif (self.attackingframe == 1):
                    if (self.facing == FACING_UP):
                        self.image = self.shovel2u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.shovel2d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.shovel2l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.shovel2r
                elif (self.attackingframe == 2):
                    if (self.facing == FACING_UP):
                        self.image = self.shovel3u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.shovel3d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.shovel3l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.shovel3r
                elif (self.attackingframe == 3):
                    if (self.facing == FACING_UP):
                        self.image = self.shovel4u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.shovel4d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.shovel4l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.shovel4r
            elif (self.item == ITM_NET):
                if (self.attackingframe == 0):
                    if (self.facing == FACING_UP):
                        self.image = self.net1u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.net1d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.net1l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.net1r
                elif (self.attackingframe == 1):
                    if (self.facing == FACING_UP):
                        self.image = self.net2u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.net2d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.net2l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.net2r
                elif (self.attackingframe == 2):
                    if (self.facing == FACING_UP):
                        self.image = self.net3u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.net3d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.net3l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.net3r
                elif (self.attackingframe == 3):
                    if (self.facing == FACING_UP):
                        self.image = self.net4u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.net4d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.net4l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.net4r
            elif (self.item == ITM_HOE):
                if (self.attackingframe == 0):
                    if (self.facing == FACING_UP):
                        self.image = self.hoe1u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.hoe1d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.hoe1l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.hoe1r
                elif (self.attackingframe == 1):
                    if (self.facing == FACING_UP):
                        self.image = self.hoe2u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.hoe2d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.hoe2l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.hoe2r
                elif (self.attackingframe == 2):
                    if (self.facing == FACING_UP):
                        self.image = self.hoe3u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.hoe3d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.hoe3l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.hoe3r
                elif (self.attackingframe == 3):
                    if (self.facing == FACING_UP):
                        self.image = self.hoe4u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.hoe4d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.hoe4l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.hoe4r
            elif (self.item == ITM_AXE):
                if (self.attackingframe == 0):
                    if (self.facing == FACING_UP):
                        self.image = self.axe1u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.axe1d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.axe1l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.axe1r
                elif (self.attackingframe == 1):
                    if (self.facing == FACING_UP):
                        self.image = self.axe2u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.axe2d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.axe2l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.axe2r
                elif (self.attackingframe == 2):
                    if (self.facing == FACING_UP):
                        self.image = self.axe3u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.axe3d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.axe3l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.axe3r
                elif (self.attackingframe == 3):
                    if (self.facing == FACING_UP):
                        self.image = self.axe2u
                    elif (self.facing == FACING_DOWN):
                        self.image = self.axe2d
                    elif (self.facing == FACING_LEFT):
                        self.image = self.axe2l
                    elif (self.facing == FACING_RIGHT):
                        self.image = self.axe2r


    def hitenemy(self, enemyobj):
        if (not(self.damaged) and (enemyobj.enemyclass != 'hog' or enemyobj.animationframe != 0)):
            if (self.attacking and self.attackbox.colliderect(enemyobj.rect)):
                enemyobj.hitplayer(self)
                self.sounds[1].play()
                enemyobj.dodamage(self.mastercane)
            elif (self.utility and self.attackbox.colliderect(enemyobj.rect)):
                k=1
            else:
                self.sounds[0].play()
                self.damaged = True
                angle = atan2((self.rect.centery-enemyobj.rect.centery),(self.rect.centerx-enemyobj.rect.centerx))
                self.damagedvelx = int(5*cos(angle))
                self.damagedvely = int(5*sin(angle))
                self.damagedtimer = 0 
                self.health -= 1
                if (self.health <= 0):
                    self.sounds[2].play()
                self.menudirty = True
                enemyobj.hitplayer(self)

    def update(self, blockingobjects, enemies, npcs, menu, exits, powerups, boulders, water, ladder, initial=False):
        self.pushing = False
        if (not(self.attacking) and not(self.utility)):
            newtop = self.rect.top
            newleft = self.rect.left
            oldtop = self.rect.top
            oldleft = self.rect.left
            newlevel = False
            playerstartname = False
            secretnum = 0
            secretitem = False
            moved = False
            if (self.damaged):
                self.damagedtimer += 1
                if (self.damagedtimer < 10):
                    newleft = self.rect.left + self.damagedvelx
                    newtop = self.rect.top + self.damagedvely
                elif (self.damagedtimer > 40):
                    self.damaged = False
                    self.damagetimer = 0
                else:
                    if (self.movingup):
                        self.facing = FACING_UP
                        newtop = self.rect.top-self.speed
                        moved = True
                    elif (self.movingdown):
                        self.facing = FACING_DOWN
                        newtop = self.rect.top+self.speed
                        moved = True
                    if (self.movingleft):
                        self.facing = FACING_LEFT
                        newleft = self.rect.left-self.speed
                        moved = True
                    elif (self.movingright):
                        self.facing = FACING_RIGHT
                        newleft = self.rect.left+self.speed
                        moved = True
            else:
                if (self.movingup):
                    self.facing = FACING_UP
                    newtop = self.rect.top-self.speed
                    moved = True
                elif (self.movingdown):
                    self.facing = FACING_DOWN
                    newtop = self.rect.top+self.speed
                    moved = True
                if (self.movingleft):
                    self.facing = FACING_LEFT
                    newleft = self.rect.left-self.speed
                    moved = True
                elif (self.movingright):
                    self.facing = FACING_RIGHT
                    newleft = self.rect.left+self.speed
                    moved = True
            overflowy = 0
            overflowx = 0
            if (newtop < 96):
                overflowy = newtop-96
                newtop = 96
            elif (newtop > 144):
                overflowy = newtop-144
                newtop = 144
            if (newleft < 128):
                overflowx = newleft-128
                newleft = 128
            elif (newleft > 192):
                overflowx = newleft-192
                newleft = 192
            if (moved):
                self.animate()
            elif (self.animationframe != 0 and self.animationframe != 2):
                self.animationframe += 1
                if (self.animationframe == 4):
                    self.animationframe = 0
                self.chooseframe()
            else:
                self.animationtimer = 5
            if (initial):
                self.move(newleft, newtop)
                return (-overflowx, -overflowy, newlevel, playerstartname, secretnum, secretitem)

            if (newleft != oldleft or newtop != oldtop):
                self.move(newleft, newtop)
                if (not(self.damaged) and pygame.sprite.spritecollideany(self, enemies)):
                    enemycollisions = pygame.sprite.spritecollide(self, enemies, False)
                    dohit = False
                    for i in enemycollisions:
                        if (not(i.enemyclass == 'hog' and i.animationframe == 0)): 
                            dohit = True
                            self.hitenemy(i)
                    if (dohit):
                        self.move(oldleft, oldtop)
                    overflowy = 0
                elif (pygame.sprite.spritecollideany(self, blockingobjects)):
                    self.move(oldleft, oldtop)
                    overflowy = 0
                    overflowx = 0
                elif (pygame.sprite.spritecollideany(self, water)):
                    self.move(oldleft, oldtop)
                elif (not(self.damaged) and pygame.sprite.spritecollideany(self, npcs)):
                    npccollisions = pygame.sprite.spritecollide(self, npcs, False)
                    for i in npccollisions:
                        i.hitplayer(self, menu)
                    self.move(oldleft, oldtop)
                    overflowy = 0
                elif (pygame.sprite.spritecollideany(self, boulders)):
                    bouldercollisions = pygame.sprite.spritecollide(self, boulders, False)
                    if (bouldercollisions[0].push(self) and not(len(bouldercollisions) > 1)):
                        if (self.facing == FACING_DOWN):
                            bouldercollisions[0].scroll(0, self.speed)
                        else:
                            bouldercollisions[0].scroll(0, -self.speed)
                        self.pushing = True
                        self.chooseframe()
                    else:
                        self.move(oldleft, oldtop)
                else:
                    oldtop = newtop
                    oldleft = newleft

                if (pygame.sprite.spritecollideany(self, exits)):
                    exitcollisions = pygame.sprite.spritecollide(self, exits, False)
                    if (not(exitcollisions[0].diggable) or (exitcollisions[0].dug)):
                        newlevel = exitcollisions[0].nextlevel()
                        secretnum = exitcollisions[0].secretnum()
                        secretitem = exitcollisions[0].secretitem()
                        playerstartname = exitcollisions[0].startname() 
                elif (pygame.sprite.spritecollideany(self, powerups)):
                    pupcollisions = pygame.sprite.spritecollide(self, powerups, False)
                    for i in pupcollisions:
                        if (not i.deleted):
                            self.sounds[6].play()
                            i.get(self)
            return (-overflowx, -overflowy, newlevel, playerstartname, secretnum, secretitem)
        elif (self.attacking):
            if (not(self.damaged) and pygame.sprite.spritecollideany(self, enemies)):
                enemycollisions = pygame.sprite.spritecollide(self, enemies, False)
                for i in enemycollisions:
                    if (not(i.enemyclass == 'hog' and i.animationframe == 0)): 
                        self.hitenemy(i)
            self.attackingtimer += 1
            if (self.attackingtimer < 3):
                self.attackingframe = 0 
            elif (self.attackingtimer < 6):
                self.attackingframe = 1 
            elif (self.attackingtimer < 9):
                self.attackingframe = 2 
            elif (self.attackingtimer < 12):
                self.attackingframe = 1 
            elif (self.attackingtimer < 15):
                self.attackingframe = 0
            else:
                self.attacking = False
                if (self.facing == FACING_UP):
                    self.move(self.rect.left, self.rect.top+16)
                elif (self.facing == FACING_LEFT):
                    self.move(self.rect.left+16, self.rect.top)
                self.attackbox = None
                self.rect.width = 16
                self.rect.height = 16
            self.chooseframe()
            return (0, 0, False, False, False, False)  
        elif (self.utility):
            self.attackingtimer += 1
            if (self.attackingtimer < 3):
                self.attackingframe = 0 
            elif (self.attackingtimer < 6):
                self.attackingframe = 1 
            elif (self.attackingtimer < 9):
                self.attackingframe = 2 
            elif (self.attackingtimer < 12):
                self.attackingframe = 3 
            elif (self.attackingtimer < 15):
                self.attackingframe = 4
            else:
                self.utility = False
                if (self.facing == FACING_UP):
                    self.move(self.rect.left, self.rect.top+16)
                elif (self.facing == FACING_LEFT):
                    self.move(self.rect.left+16, self.rect.top)
                self.rect.width = 16
                self.rect.height = 16
                self.attackbox = None
            self.chooseframe()
            return (0, 0, False, False, False, False)  

    def disttooption(self, option):
        return sqrt(pow(option.rect.left - self.rect.left, 2) + pow(option.rect.top - self.rect.top, 2))

    def attack(self):
        if (not(self.damaged) and not(self.attacking) and not(self.utility)):
            self.attacking = True
            self.attackingtimer = 0
            if (self.facing == FACING_UP):
                self.attackbox = pygame.Rect(self.rect.left, self.rect.top-14, 16, 14)
                #self.move(self.rect.left, self.rect.top-16)
                self.rect.union_ip(self.attackbox)
            elif (self.facing == FACING_LEFT):
                self.attackbox = pygame.Rect(self.rect.left-14, self.rect.top, 14, 16)
                #self.move(self.rect.left-16, self.rect.top)
                self.rect.union_ip(self.attackbox)
            elif (self.facing == FACING_RIGHT):
                self.attackbox = pygame.Rect(self.rect.left+14, self.rect.top, 14, 16)
                self.rect.union_ip(self.attackbox)
            elif (self.facing == FACING_DOWN):
                self.attackbox = pygame.Rect(self.rect.left, self.rect.top+16, 16, 14)
                self.rect.union_ip(self.attackbox)

    def util(self, ladder):
        if (not(self.damaged) and not(self.attacking) and not(self.utility)):
            if (self.item != ITM_POTION and self.item != ITM_LADDER):
                self.utility = True
                self.attackingtimer = 0
                if (self.facing == FACING_UP):
                    self.attackbox = pygame.Rect(self.rect.left, self.rect.top-16, 16, 16)
                    self.move(self.rect.left, self.rect.top-16)
                    self.rect.union_ip(self.attackbox)
                elif (self.facing == FACING_LEFT):
                    self.attackbox = pygame.Rect(self.rect.left-16, self.rect.top, 16, 16)
                    self.move(self.rect.left-16, self.rect.top)
                    self.rect.union_ip(self.attackbox)
                elif (self.facing == FACING_RIGHT):
                    self.attackbox = pygame.Rect(self.rect.left+16, self.rect.top, 16, 16)
                    self.rect.union_ip(self.attackbox)
                elif (self.facing == FACING_DOWN):
                    self.attackbox = pygame.Rect(self.rect.left, self.rect.top+16, 16, 16)
                    self.rect.union_ip(self.attackbox)
            elif (self.item == ITM_LADDER and not(self.utility) and not(self.attacking)):
                if (not(ladder.active)):
                    ladder.active = True
                    if (self.facing == FACING_LEFT):
                        ladder.move(self.rect.left-16, self.rect.top)
                    if (self.facing == FACING_RIGHT):
                        ladder.move(self.rect.left+16, self.rect.top)
                    if (self.facing == FACING_DOWN):
                        ladder.move(self.rect.left, self.rect.top+16)
                    if (self.facing == FACING_UP):
                        ladder.move(self.rect.left, self.rect.top-16)
            elif (self.health < self.maxhealth):
                self.item = False
                self.inv.remove(ITM_POTION)
                self.health = self.maxhealth
                self.menudirty = True

    def setmove(self, movingup, movingdown, movingleft, movingright):
        if (not(self.health <= 0) and not(self.attacking) and not(self.utility)):
            self.movingup = movingup
            self.movingdown = movingdown
            self.movingleft = movingleft
            self.movingright = movingright
        elif (self.health <= 0):
            self.movingup = 0
            self.movingdown = 0
            self.movingleft = movingleft
            self.movingright = movingright
