import os, pygame

from math import sqrt
from random import randint
from string import Template, atoi
from math import degrees, sqrt, sin, cos, atan2

from util import *

from pygame.locals import *

class secretitem(pygame.sprite.Sprite):
    def __init__(self, x, y, itemtype, itemimage, secretnum):
        pygame.sprite.Sprite.__init__(self) #call Sprite initializer
        self.image, self.rect = load_image(itemimage, -1)
        self.itemtype = itemtype
        self.deleted = False
        self.secretnum = secretnum
        self.move(x,y)

    def move(self, x, y):
        self.rect.left = x
        self.rect.top = y

    def scroll(self, x, y):
        self.move(self.rect.left+x, self.rect.top+y)

    def get(self, playerobj):
        playerobj.secretitems.append(self.secretnum)
        if (self.itemtype == "dollar"):
            playerobj.golds += 1.00
        if (self.itemtype == "heartframe"):
            playerobj.maxhealth += 1
            playerobj.health += 1
        elif (not(playerobj.inv.count(self.itemtype))):
            playerobj.inv.append(self.itemtype)
        playerobj.menudirty = True
        self.deleted = True
